Bug 1052454 (CVE-2017-12604)

Summary: VUL-0: CVE-2017-12604: opencv: out-of-bounds write error in the FillUniColor function in utils.cpp
Product: [openSUSE] openSUSE Distribution Reporter: Alexander Bergmann <abergmann>
Component: SecurityAssignee: Security Team bot <security-team>
Status: RESOLVED WONTFIX QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P3 - Medium CC: abergmann, karol, yfjiang
Version: Leap 42.3   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard: CVSSv2:NVD:CVE-2017-12604:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv3:RedHat:CVE-2017-12604:7.0:(AV:L/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexander Bergmann 2017-08-07 06:23:15 UTC
CVE-2017-12604

OpenCV (Open Source Computer Vision Library) through 3.3 has an
out-of-bounds write error in the FillUniColor function in utils.cpp
when reading an image file by using cv::imread.

References:
https://github.com/opencv/opencv/issues/9309
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-12604
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12604
Comment 1 Qiang Zheng 2018-05-16 07:02:52 UTC
It is a duplicate of this bug:
https://bugzilla.suse.com/show_bug.cgi?id=1033152

*** This bug has been marked as a duplicate of bug 1033152 ***
Comment 2 Yifan Jiang 2018-05-16 07:33:47 UTC
Hi Zheng Qiang,

I am confused now that reopen for the same reason as that in:

https://bugzilla.opensuse.org/show_bug.cgi?id=1052451#c2

Sorry I have to reopen since there is no easy clue showing why they are duplicated, could you explain more before closing it (in addition, it's always better to confirm with security-team before closing security bugs :-))?

Please correct if I misunderstood the background you have already known.
Comment 3 Karol Babioch 2018-05-16 08:09:29 UTC
Yes, please do not close security-related bugs for yourself, but assign them back to us (security-team@), so we can have another look at it. We will close the bug once all necessary updates have been released.

It seems that this issue has been solved with pull request #9376 (https://github.com/opencv/opencv/pull/9376), the same as for CVE-2017-12604 (issue #9309). Unfortunately a lot of code has been re-factored with this request, so it is not apparent (by a quick look) what the actual fix is. More unfortunate is, that there are not a lot of details about the CVEs either, but given that the one is a "double free" and the other one is a "out of bounds write", they are no duplicates.
Comment 4 Swamp Workflow Management 2018-05-17 01:30:11 UTC
This is an autogenerated message for OBS integration:
This bug (1052454) was mentioned in
https://build.opensuse.org/request/show/609943 42.3 / opencv
Comment 5 Swamp Workflow Management 2018-05-18 03:40:10 UTC
This is an autogenerated message for OBS integration:
This bug (1052454) was mentioned in
https://build.opensuse.org/request/show/610174 42.3 / opencv
Comment 6 Swamp Workflow Management 2018-05-21 07:40:11 UTC
This is an autogenerated message for OBS integration:
This bug (1052454) was mentioned in
https://build.opensuse.org/request/show/610882 42.3 / opencv
Comment 7 Swamp Workflow Management 2018-05-23 13:10:45 UTC
openSUSE-SU-2018:1385-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 1033152,1052451,1052454,1052455,1052456,1052457,1052459,1052461,1052462,1052465,1054019,1054020,1054021,1054984,1057146
CVE References: CVE-2016-1516,CVE-2017-12597,CVE-2017-12598,CVE-2017-12599,CVE-2017-12600,CVE-2017-12601,CVE-2017-12602,CVE-2017-12603,CVE-2017-12604,CVE-2017-12605,CVE-2017-12606,CVE-2017-12862,CVE-2017-12863,CVE-2017-12864,CVE-2017-14136
Sources used:
openSUSE Leap 42.3 (src):    opencv-3.1.0-4.6.1, opencv-qt5-3.1.0-4.6.1
Comment 8 Tomáš Chvátal 2019-07-11 11:15:50 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 9 Marcus Meissner 2019-07-11 14:12:12 UTC
SLE15 and Leap 15* probably fixed with 3.3.1